Package org.lwjgl.opengl

# Class APPLEVertexArrayObject

java.lang.Object
org.lwjgl.opengl.APPLEVertexArrayObject

public final class APPLEVertexArrayObject extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_VERTEX_ARRAY_BINDING_APPLE`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

## Method Summary

Modifier and Type
Method
Description
`static void`
`glBindVertexArrayAPPLE(int array)`
`static void`
`glDeleteVertexArraysAPPLE(int array)`
Overloads glDeleteVertexArraysAPPLE.
`static void`
`glDeleteVertexArraysAPPLE(IntBuffer arrays)`
`static int`
`glGenVertexArraysAPPLE()`
Overloads glGenVertexArraysAPPLE.
`static void`
`glGenVertexArraysAPPLE(IntBuffer arrays)`
`static boolean`
`glIsVertexArrayAPPLE(int array)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_VERTEX_ARRAY_BINDING_APPLE

public static final int GL_VERTEX_ARRAY_BINDING_APPLE
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

## Method Details

### glBindVertexArrayAPPLE

public static void glBindVertexArrayAPPLE(int array)

### glDeleteVertexArraysAPPLE

public static void glDeleteVertexArraysAPPLE(IntBuffer arrays)

### glDeleteVertexArraysAPPLE

public static void glDeleteVertexArraysAPPLE(int array)
Overloads glDeleteVertexArraysAPPLE.

### glGenVertexArraysAPPLE

public static void glGenVertexArraysAPPLE(IntBuffer arrays)

### glGenVertexArraysAPPLE

public static int glGenVertexArraysAPPLE()
Overloads glGenVertexArraysAPPLE.

### glIsVertexArrayAPPLE

public static boolean glIsVertexArrayAPPLE(int array)